%if 0%{?fedora} >= 22
%global with_python3 1
%endif

%define author johnsensible
%define unmangled_name django-sendfile

Summary: Abstraction to offload file uploads to web-server
Name: python-%{unmangled_name}
Version: 0.3.10
Release: 1%{?dist}.1
Source0: https://github.com/%{author}/%{unmangled_name}/archive/v%{version}/%{unmangled_name}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python2-devel
%if 0%{?with_python3}
BuildRequires: python3-devel
%endif
Requires: python-django >= 1.3
Vendor: John Montgomery <john@sensibledevelopment.com>
Url: https://github.com/johnsensible/django-sendfile

%description
This is a wrapper around web-server specific methods for sending files
to web clients.  This is useful when Django needs to check permissions
associated files, but does not want to serve the actual bytes of the file
itself.  i.e. as serving large files is not what Django is made for.

Note this should not be used for regular file serving (e.g. css etc),
only for cases where you need Django to do some work before serving
the actual file.

%if 0%{?with_python3}
%package -n python3-%{unmangled_name}
Summary: Abstraction to offload file uploads to web-server
Group: Development/Libraries
Requires: python3-django >= 1.3

%description -n python3-%{unmangled_name}
This is a wrapper around web-server specific methods for sending files
to web clients.  This is useful when Django needs to check permissions
associated files, but does not want to serve the actual bytes of the file
itself.  i.e. as serving large files is not what Django is made for.

Note this should not be used for regular file serving (e.g. css etc),
only for cases where you need Django to do some work before serving
the actual file.

This package contains the python3 version of this module.
%endif

%prep
%setup -n %{unmangled_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
popd
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record=INSTALLED_FILES_PY2

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record="%{_builddir}/%{buildsubdir}/INSTALLED_FILES_PY3"
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES_PY2
%defattr(-,root,root)

%if 0%{?with_python3}
%files -n python3-%{unmangled_name} -f INSTALLED_FILES_PY3
%defattr(-,root,root)
%endif
%changelog
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> 0.3.10-1
- Update to 0.3.10
- Enable build with Python 3
* Thu Sep 10 2015 Oleg Girko <ol@infoserver.lv> 0.3.9-2
- Require python for building
* Wed Sep  9 2015 Oleg Girko <ol@infoserver.lv> 0.3.9-1
- Initial package
